#!/bin/sh
#
# test the passphrase tools

echo === MAKING THE TEST FILES ==
unset AFFLIB_PASSPHRASE

W=/tmp

rm -f $W/blank.iso $W/blank.aff $W/blanke.aff $W/words

PATH=$PATH:../tools:../../tools:.:$srcdir
test_make_random_iso.sh $W/blank.iso || (echo Cannot run test_make_random_iso.sh && exit -1)

if [ ! -r $W/blank.iso ]; then
  echo CANNOT CREATE $W/blank.iso
  echo Permission error prevents test from continuing. 
  exit 0
fi

./afconvert -o $W/blank.aff $W/blank.iso
./afconvert -o file://:passphrase@/$W/blanke.aff $W/blank.iso

if [ ! -r $W/blanke.aff ]; then
  echo CANNOT CREATE $W/blanke.aff 
  echo Permission error prevents test from continuing. 
  exit 0
fi


# Make sure afcrypto reports properly for with and with no encrypted segments
if (./afcrypto $W/blank.aff | grep " 0 encrypted" > /dev/null ) ; then 
  echo $W/blanke.aff properly created
else  
   echo ENCRYPTED SEGMENTS IN $W/blanke.aff --- STOP
   exit 1 
fi 

# Now test afcrypto
echo Encrypted segment count: `./afcrypto -j $W/blanke.aff`
if [ `./afcrypto -j $W/blanke.aff` = "0" ]; then 
  echo NO ENCRYPTED SEGMENTS IN $W/blanke.aff --- STOP
  exit 1 
else
  echo $W/blanke.aff properly created
fi

echo "sleepy" > $W/words
echo "dopey" >> $W/words
echo "doc" >> $W/words
echo "passphrase" >> $W/words
echo "foobar" >> $W/words
if [ "`./afcrypto -k -f $W/words $W/blanke.aff|grep correct|grep passphrase`"x = x ] ; then
  echo afcrypto did not find the right passphrase
  exit 1
else 
   echo afcrypto found the correct pasphrase 
fi

rm $W/blank.iso $W/blank.aff $W/blanke.aff $W/words

echo ALL TESTS PASS
exit 0
