#!/bin/sh
# 
# test the signing tools
#

W=/tmp

/bin/rm -f $W/recovery.key $W/recovery.bak $W/recovery.iso $W/recovery.afm

unset AFFLIB_PASSPHRASE
echo ==== AFRECOVERY TEST ===
echo Make an X509 key


SUBJECT="/CN=Mr. Recovery/emailAddress=recovery@investiations.com"
openssl req -x509 -newkey rsa:1024 -keyout $W/recovery.pem -out $W/recovery.pem -nodes -subj "$SUBJECT"

PATH=$PATH:../tools:../../tools:.:$srcdir
test_make_random_iso.sh $W/recovery.iso

if [ ! -r $W/recovery.iso ]; then
   echo $W/recovery.iso was not created.
   printenv
   echo current directory: `pwd`
   exit 0
fi


cp $W/recovery.iso $W/recovery.bak
echo SIGNING $W/recovery.iso 
if ! ./afsign -k $W/recovery.pem $W/recovery.iso ; then exit 1 ; fi
ls -l $W/recovery.iso $W/recovery.afm
echo VERIFYING SIGNATURE
if ! ./afverify $W/recovery.afm ; then exit 1 ; fi
echo CORRUPTING FILE recovery.iso
dd if=/dev/random of=$W/recovery.iso count=1 skip=1 conv=notrunc
echo ATTEMPTING RECOVERY
if ! ./afrecover $W/recovery.afm ; then exit 1 ; fi
if ! ./afverify $W/recovery.afm ; then exit 1 ; fi
echo MAKING SURE THAT THE MD5 HAS NOT CHANGED
if ! cmp $W/recovery.bak $W/recovery.iso ; then echo file changed ; exit 1 ; fi
echo ALL TESTS PASS
/bin/rm -f $W/recovery.key $W/recovery.bak $W/recovery.iso $W/recovery.afm $W/recovery.pem
